## GESTitleClip GESTitleClip — Render stand-alone titles in GESLayer. |

## Functions

GESTitleClip * | ges_title_clip_new ()
void | ges_title_clip_set_text ()
void | ges_title_clip_set_font_desc ()
void | ges_title_clip_set_halignment ()
void | ges_title_clip_set_valignment ()
void | ges_title_clip_set_color ()
void | ges_title_clip_set_background ()
void | ges_title_clip_set_xpos ()
void | ges_title_clip_set_ypos ()
const gchar * | ges_title_clip_get_text ()
const gchar * | ges_title_clip_get_font_desc ()
GESTextVAlign | ges_title_clip_get_valignment ()
GESTextHAlign | ges_title_clip_get_halignment ()
const guint32 | ges_title_clip_get_text_color ()
const guint32 | ges_title_clip_get_background_color ()
const gdouble | ges_title_clip_get_xpos ()
const gdouble | ges_title_clip_get_ypos ()

## Properties

guint | background | Read / Write / Construct
guint | color | Read / Write / Construct
gchar * | font-desc | Read / Write / Construct
GESTextHAlign | halignment | Read / Write / Construct
gchar * | text | Read / Write / Construct
GESTextVAlign | valignment | Read / Write / Construct
gdouble | xpos | Read / Write / Construct
gdouble | ypos | Read / Write / Construct

## Types and Values

| GESTitleClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESSourceClip
                            ╰── GESTitleClip

## Implemented Interfaces

GESTitleClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Renders the given text in the specified font, at specified position, and with the specified background pattern.

## Functions

### ges_title_clip_new ()

    GESTitleClip *
    ges_title_clip_new (void);

Creates a new GESTitleClip

#### Returns

The newly created GESTitleClip, or `NULL` if there was an error.

[transfer floating][nullable]

### ges_title_clip_set_text ()

    void
    ges_title_clip_set_text (GESTitleClip *self,
                             const gchar *text);

`ges_title_clip_set_text` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Sets the text this clip will render.

#### Parameters

self | the GESTitleClip* to set text on |
text | the text to render. an internal copy of this text will be made. |

### ges_title_clip_set_font_desc ()

    void
    ges_title_clip_set_font_desc (GESTitleClip *self,
                                  const gchar *font_desc);

`ges_title_clip_set_font_desc` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Sets the pango font description of the text.

#### Parameters

self | the GESTitleClip* |
font_desc | the pango font description |

### ges_title_clip_set_halignment ()

    void
    ges_title_clip_set_halignment (GESTitleClip *self,
                                   GESTextHAlign halign);

`ges_title_clip_set_halignment` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Sets the horizontal aligment of the text.

#### Parameters

self | the GESTitleClip* to set horizontal alignement of text on |
halign | GESTextHAlign |

### ges_title_clip_set_valignment ()

    void
    ges_title_clip_set_valignment (GESTitleClip *self,
                                   GESTextVAlign valign);

`ges_title_clip_set_valignment` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Sets the vertical aligment of the text.

#### Parameters

self | the GESTitleClip* to set vertical alignement of text on |
valign | GESTextVAlign |

### ges_title_clip_set_color ()

    void
    ges_title_clip_set_color (GESTitleClip *self,
                              guint32 color);

`ges_title_clip_set_color` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Sets the color of the text.

#### Parameters

self | the GESTitleClip* to set |
color | The color `self` is being set to |

### ges_title_clip_set_background ()

    void
    ges_title_clip_set_background (GESTitleClip *self,
                                   guint32 background);

`ges_title_clip_set_background` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Sets the background of the text.

#### Parameters

self | the GESTitleClip* to set |
background | The color `self` is being set to |

### ges_title_clip_set_xpos ()

    void
    ges_title_clip_set_xpos (GESTitleClip *self,
                             gdouble position);

`ges_title_clip_set_xpos` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Sets the horizontal position of the text.

#### Parameters

self | the GESTitleClip* to set |
position | The horizontal position `self` is being set to |

### ges_title_clip_set_ypos ()

    void
    ges_title_clip_set_ypos (GESTitleClip *self,
                             gdouble position);

`ges_title_clip_set_ypos` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Sets the vertical position of the text.

#### Parameters

self | the GESTitleClip* to set |
position | The vertical position `self` is being set to |

### ges_title_clip_get_text ()

    const gchar *
    ges_title_clip_get_text (GESTitleClip *self);

`ges_title_clip_get_text` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Get the text currently set on `self` .

#### Parameters

self | a GESTitleClip |

#### Returns

The text currently set on `self` .

### ges_title_clip_get_font_desc ()

    const gchar *
    ges_title_clip_get_font_desc (GESTitleClip *self);

`ges_title_clip_get_font_desc` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Get the pango font description used by `self` .

#### Parameters

self | a GESTitleClip |

#### Returns

The pango font description used by `self` .

### ges_title_clip_get_valignment ()

    GESTextVAlign
    ges_title_clip_get_valignment (GESTitleClip *self);

`ges_title_clip_get_valignment` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Get the vertical aligment used by `self` .

#### Parameters

self | a GESTitleClip |

#### Returns

The vertical aligment used by `self` .

### ges_title_clip_get_halignment ()

    GESTextHAlign
    ges_title_clip_get_halignment (GESTitleClip *self);

`ges_title_clip_get_halignment` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Get the horizontal aligment used by `self` .

#### Parameters

self | a GESTitleClip |

#### Returns

The horizontal aligment used by `self` .

### ges_title_clip_get_text_color ()

    const guint32
    ges_title_clip_get_text_color (GESTitleClip *self);

`ges_title_clip_get_text_color` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Get the color used by `self` .

#### Parameters

self | a GESTitleClip |

#### Returns

The color used by `self` .

### ges_title_clip_get_background_color ()

    const guint32
    ges_title_clip_get_background_color (GESTitleClip *self);

`ges_title_clip_get_background_color` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Get the background used by `self` .

#### Parameters

self | a GESTitleClip |

#### Returns

The color used by `self` .

### ges_title_clip_get_xpos ()

    const gdouble
    ges_title_clip_get_xpos (GESTitleClip *self);

`ges_title_clip_get_xpos` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Get the horizontal position used by `self` .

#### Parameters

self | a GESTitleClip |

#### Returns

The horizontal position used by `self` .

### ges_title_clip_get_ypos ()

    const gdouble
    ges_title_clip_get_ypos (GESTitleClip *self);

`ges_title_clip_get_ypos` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Get the vertical position used by `self` .

#### Parameters

self | a GESTitleClip |

#### Returns

The vertical position used by `self` .

## Types and Values

### GESTitleClip

    typedef struct _GESTitleClip GESTitleClip;

Render stand-alone titles in GESLayer.

## Property Details

### The `“background”` property

      “background”               guint

The background of the text

`GESTitleClip:background` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Flags: Read / Write / Construct

Default value: 4294967295

### The `“color”` property

      “color”                    guint

The color of the text

`GESTitleClip:color` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Flags: Read / Write / Construct

Default value: 4294967295

### The `“font-desc”` property

      “font-desc”                gchar *

Pango font description string

`GESTitleClip:font-desc` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Flags: Read / Write / Construct

Default value: "Serif 36"

### The `“halignment”` property

      “halignment”               GESTextHAlign

Horizontal alignment of the text

`GESTitleClip:halignment` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Flags: Read / Write / Construct

Default value: GES_TEXT_HALIGN_CENTER

### The `“text”` property

      “text”                     gchar *

The text to diplay

`GESTitleClip:text` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Flags: Read / Write / Construct

Default value: ""

### The `“valignment”` property

      “valignment”               GESTextVAlign

Vertical alignent of the text

`GESTitleClip:valignment` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Flags: Read / Write / Construct

Default value: GES_TEXT_VALIGN_BASELINE

### The `“xpos”` property

      “xpos”                     gdouble

The horizontal position of the text

`GESTitleClip:xpos` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5

### The `“ypos”` property

      “ypos”                     gdouble

The vertical position of the text

`GESTitleClip:ypos` is deprecated and should not be used in newly-written code.

use ges_track_element_get/set_children_properties on the underlying GESTrackElement instead

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5